{% extends "admin/base_site.html" %}{% load thumbnail adminmedia media %}

{% block extrahead %}
<link rel="stylesheet" href="{% admin_media_prefix %}css/artcode/sortables.css" type="text/css"  />
<style type="text/css">
.sortable-floats li  { width: 120px !important; height: 120px !important; margin: 5px; cursor: auto !important; list-style:none;}
.sortable-floats { margin:0; padding: 0; list-style:none;} 
form, .panel {
    background: #fff;
    border: solid 1px #aaa;
    padding: 5px 20px 20px 20px; margin-bottom: 10px;
}
</style>

<script type="text/javascript" src="{{MEDIA_URL}}js/tiny_mce/tiny_mce_popup.js"></script>
<script type="text/javascript">
// <![CDATA[
var new_file = '{{new_file}}';
var FileBrowserDialog = {
    init: function() {
        var self = this;
        if (new_file) self.submit(new_file);
        jQuery('a.file').click(function(e){
            self.submit(this.rel);
            return false;
        });
    },
    submit: function(url) {
        // insert url
        var win = tinyMCEPopup.getWindowArg("window");
        win.document.getElementById(tinyMCEPopup.getWindowArg("input")).value = url;

        tinyMCEPopup.close();
    }
};
tinyMCEPopup.onInit.add(FileBrowserDialog.init, FileBrowserDialog);
// ]]>
</script>
    
{% endblock %}

{% block content %}
<div id="content-main">
<form action="" method="post" enctype="multipart/form-data">{% csrf_token %}
    <h3>Upload a new file</h3>
    {{form}}
    <input type="submit" value="add file" />
</form>

<div class="panel">
<h3>...or choose an existing one.</h3>
<ul class="sortable-floats wrapper">
    {% for file in files %}
    <li class="sortable-float">
        <a href="#" rel="{{file.filename.url|urlencode}}" class="file"><img src="{% mimetype_image file.filename %}" /> {{file}}</a>
    </li>
    {% endfor %}
</ul>
</div>

</div>
{% endblock  %}

